Subject: bug#59468: 29.0.50; c-ts-mode cannot fontify after macros are encountered

From: Po Lu <[email-masked]>
Date: Wed, 23 Nov 2022 08:41:08 +0800

Yuan Fu <[email-masked]> writes:

> Thanks for these reports! Buuuuut as we’ve seen, tree-sitter really
> doesn’t handle macros that well. I’ll see what I can do when I find the
> time, but there really isn’t any good solutions to this (right now, that
> I can think of). I’m not even sure the author of tree-sitter-c would
> accept changes that try to parse macros: he has made it clear that the
> purpose of tree-sitter-c is to support post-processed C and leave macros
> and preprocessor to error-recovery.

Thanks, and too bad.  However, one cannot help but wonder how he is
supposed to write only "post-processed" C.  I think that attitude of the
tree-sitter-c developer is extremely nasty.